# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TI32Value

Packages that use TI32Value
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TI32Value in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TI32Value
Modifier and Type
Class
Description
`class`
`TI32Value`
`class`
`TI32Value`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TI32Value
Modifier and Type
Method
Description
`TI32Value`
TI32Value.`deepCopy()`
`TI32Value`
TColumnValue.`getI32Val()`
`TI32Value`
TI32Value.`setValue(int value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI32Value
Modifier and Type
Method
Description
`int`
TI32Value.`compareTo(TI32Value other)`
`boolean`
TI32Value.`equals(TI32Value that)`
`static TColumnValue`
TColumnValue.`i32Val(TI32Value value)`
`void`
TColumnValue.`setI32Val(TI32Value value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI32Value
Modifier
Constructor
Description
``
`TI32Value(TI32Value other)`
Performs a deep copy on other.